
QGIS Application - Bug report #12509

QGIS crashes if change settings of OTB algorithm

2015-04-05 03:18 AM - dr -

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.8.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20655

Description

1. Processing - Graphical modeller

2. Add 2 Raster Layer

3. Algorithms - Orfeo Toolbox - Geometry - Superimpose sensor (Select Reference input and The image to reproject)

4. Available RAM - 128 by default, don't chenage it

5. Press OK

6. Double click on Superimpose sensor item in model and try modify Available RAM

7. Press OK - QGIS crashes

Error message:

*** Error in `/usr/bin/qgis.bin': malloc(): smallbin double linked list corrupted: 0x00000000020fabd0 ***

History

#1 - 2015-04-05 04:23 AM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot replicate here.

Double clicking an element in the modeller should/is not available anywmore in the latests processing versions as it was source of issue. Editing an

element by clicking the "pencil" icon works as expected.

#2 - 2015-04-05 04:31 AM - dr -

- Status changed from Feedback to Closed

Thanks for response! I've updated Processing and error gone.

#3 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#4 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-05-01 11:04 AM - Giovanni Manghi
Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#6 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
